#message-box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #000000c9;
    z-index: 100;
    --button-width: 400px;
    --button-height: 200px;
}

.message-box--container {

    position: absolute;
    top: calc(50vh - var(--button-height) / 2);
    left: max(calc(50vw - var(--button-width) / 2), 10px);
    border: 1px #F26324 solid;
    border-radius: 50px;
    width: min(var(--button-width), calc(100vw - 20px));
    height: var(--button-height);
    padding: 20px;
    background-color: #121414;
}
.message-box--button-container{
    position: absolute;
    bottom: 30px;
    /*left: max(calc(var(--button-width) / 2 - 60px), 1px);*/
    width: calc(100% - 40px);
}
.message-box--button-button {
    background-color: #F26324;
    border-radius: 10px;
    width: 120px;
    display: block;
    padding: 10px 30px;
    margin: 0 auto;
}
.message-box--title {
    text-align: center;
}
.message-box--message {
    margin-top: 20px;
    text-align: center;
}


#message-box.hidden {
    display: none
}
#message-box.visible {
    display: block;
}

.section-usp .text-label-caps {
    line-height: 1.625;
}
.tablet-less {
    display: none;
}

.flex-mail {
    justify-content: center;
}

.sm-text--footer {
    font-size: 8px;
    line-height: 2;
    letter-spacing: .1em;
    font-weight: 400;
    padding: 24px;
    text-align: center;
}

@media (min-width: 1024px) {
    header.hero-section {
        height: 750px;
        align-items: baseline;
    }
    .grid-cols-1 {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
    .lg\:grid-cols-12 {
        grid-template-columns: repeat(12, minmax(0, 1fr));
    }
    .lg\:grid-cols-2 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    .flex-col {
        flex-direction: row;
    }
    .mobile-only {
        display: none;
    }
    .nav-logo {
        width: 148px;
        height: auto;
    }
    .mobile-menu {
        display: none;
    }
    .desktop-menu--container {
        display: flex;
    }
    .section-contacts .grid-cols-1 {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }

}
@media (max-width: 1024px) {
    .desktop-menu--container {
        display: none;
    }
    .mobile-menu {
        position: fixed;
        top: 80px;
        left: 0;
        height: 100vh;
        width: 100%;
        background-color: #010202e5;
        display: none;
    }

    .mobile-menu.menu-visible {
        display: block;
    }


    .mobile-menu a {
        display: block;
        padding: 12px 24px;
        font-size: 1.1rem;
    }


    .text-\[56px\] {
        font-size: 38px;
        text-transform: uppercase;
    }

    .px-12 {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .desktop-only {
        display: none;
    }

    .text-lg {
        font-size: 1rem;
        line-height: 1.5rem;
    }
    .mobile-only {
        display: block;
    }
    header.relative {
        min-height: unset;
        height: auto;
    }
    header > div.grid {
        display: block;
        padding: 1rem 1.5rem;
        overflow: unset;
    }
    header div.button-send-request {
        display: block;
    }
    header button.px-10 {
        padding-left: 0;
        padding-right: 0;
        width: 100%;
    }
    section.section-usp {

    }
    section.section-usp span {
        font-size: 0.75rem;
        line-height: 1rem;
    }
    section.section-about {
        padding-top: 3rem;
        padding-bottom: 3rem;
    }
    section.section-about h2 {
        font-size: 12px;
        line-height: 1.0;
        margin-bottom: 1rem;
    }
    section.section-about h3 {
        font-size: 1.875rem;
        line-height: 2.25rem;
        margin-bottom: 2rem;
        font-weight: 400;
        letter-spacing: normal;
    }
    section.section-about h4 {
        padding-bottom: 8px;
        margin-bottom: 40px;
    }

    section.section-about h5 {
        margin-bottom: 8px;
    }

    section p.section-about--description {
        margin-bottom: 40px;
    }
    .section-about--digits {
        padding-top: 32px;
    }
    .section-about--digits div {
        text-align: center;
    }
    .section-about--digits .text-headline-lg {
        font-size: 2.25rem;
        line-height: 2.5rem;
        letter-spacing: normal;
        font-weight: 400;
    }
    .section-about--digits .tracking-widest {
        font-size: 9px;
    }

    .why-choose p {
        font-size: .75em;
        line-height: 1.625;
    }
    .section-capabilities {
        margin: -16px 0 0;
        padding: 48px 24px
    }
    .section-capabilities h2 {
        margin-bottom: 8px;
    }
    .section-capabilities h3 {
        margin-bottom: 32px;
        font-size: 1.875rem;
        line-height: 2.25rem;
        letter-spacing: normal;
        font-weight: 400;
    }
    .section-capabilities .mb-16--0 {
        margin-bottom: 0;
    }

    .section-capabilities--group {
        padding: 32px;
    }
    .section-capabilities--group div {
        margin-bottom: 32px;
    }

    .section-capabilities--group h4 {
        margin-bottom: 16px;
        font-size: 1.125rem;
        line-height: 1.75rem;
    }
    .section-capabilities--group p {
        margin-bottom: 24px;
        font-size: 0.75rem;
        line-height: 1.625;
    }
    section.py-20.px-12 {
        padding: 48px 24px
    }

    .industries-cell {
        height: 200px;
    }

    section.section-industries img{
        height: 200px;
    }

    section.section-industries h2 {
        margin-bottom: 24px;
    }

    .industries-name {
        left: 1.5rem;
        bottom: 1.5rem;
    }

    .industries-name h4 {
        font-size: 1.25rem;
        line-height: 1.75rem;
    }

    .section-engineering {
        padding: 48px 0;
    }

    .section-engineering h3 {
        font-size: 1.875rem;
        line-height: 2.25rem;
        font-weight: 400;
        letter-spacing: normal;
        font-family: Inter;
    }

    .section-engineering--description {
        margin-bottom: 40px;
    }
    .section-engineering--image {

    }

    .space-y-6.section-engineering--cells > :not([hidden]) ~ :not([hidden]) {
        --tw-space-y-reverse: 0;
        margin-top: calc(1rem * calc(1 - var(--tw-space-y-reverse)));
        margin-bottom: calc(1rem * var(--tw-space-y-reverse));
    }

    .section-contacts h2 {
        font-size: 1.5rem;
        line-height: 1.25;
        letter-spacing: normal;
        font-weight: 400;
        text-transform: uppercase;
    }

    .section-contacts--container {
        padding: 32px;
    }

    .section-contacts--container p {
        font-size: .875rem;
        line-height: 1.625;
        letter-spacing: normal;
        font-weight: 400;
        margin-bottom: 40px;
    }

    .section-contacts--mail {
        font-size: .75rem;
        line-height: 1;
        letter-spacing: normal;
        font-weight: 400;
        text-transform: uppercase;
    }

    .section-contacts--mail-symbol {
        font-size: 1.25rem;
        line-height: 1.75;
        letter-spacing: normal;
        font-weight: 300;
    }

    footer.footer {
        padding: 32px 24px;
    }
    .footer-menu {
        display: flex;
        flex-wrap: wrap;
        row-gap: 0.75rem;
        column-gap: 1.5rem;
        justify-content: center;
    }

    .footer-menu a {
        font-size: 9px;
        line-height: 13.5px;
        letter-spacing: .1em;
        font-weight: 400;
    }

    .footer-menu--container {
        text-align: center;
    }

    .footer-menu--mail {
        margin-bottom: 24px;
        display: block;
    }

    .footer-menu--copyright {
        font-size: 8px;
        line-height: 2;
        letter-spacing: .1em;
        font-weight: 400;
    }
}
@media (max-width: 768px) {
    .tablet-less {
        display: block;
    }
    .tablet-more {
        display: none;
    }
}
@media (max-width: 375px) {
    .text-\[56px\] {
        font-size: 30px;
    }
}